#include "mbed.h"

//DigitalOut myled(LED1);

class MyLed {
    public:
        MyLed(PinName led) : _led(led) {
            _led = 1;
        }
        
        void ledOn(void) {
            _led = 1;
            wait_ms(500);
        }
        
        MyLed() {};
    
    private:
        DigitalOut _led;
    };
    
MyLed myLed(LED1);
MyLed myLed2(LED2);

int main() {
    while(1) {
        myLed.ledOn();
        myLed.ledOff();
        myLed2.ledOn();
        myLed2.ledOff();
    }
}
